Bug 869383 - video: probe of LNXVIDEO:00 failed with error 12299 (3.4-rc1 regression, proof-of-concept patch available)
video: probe of LNXVIDEO:00 failed with error 12299 (3.4-rc1 regression, proo...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 14:19 EDT by Damian Wrobel
Modified: 2012-12-17 21:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-01 03:26:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg from 3.6.3-1 (42.78 KB, text/plain)
2012-10-23 14:20 EDT, Damian Wrobel
no flags Details
dmesg from 3.6.3-1.1 (with the patch) (44.17 KB, text/plain)
2012-10-23 14:21 EDT, Damian Wrobel
no flags Details
lspci -vvv (21.82 KB, text/plain)
2012-10-23 14:26 EDT, Damian Wrobel
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 47861 None None None 2012-10-23 14:19:24 EDT

  None (edit)
Description Damian Wrobel 2012-10-23 14:19:24 EDT
Description of problem:
The brightness control is not visible while pressing Fn-{F7,F8}.

Version-Release number of selected component (if applicable):
F17 fully updates to updates-testing, in particular kernel version:
3.6.3-1.fc17.i686.PAE


How reproducible:
100%

Steps to Reproduce:
1. Boot the machine.
2. Log to the KDE session.
3. Try to change the actual brightness using Fn-{F7,F8}.
  
Actual results:
Brightness doesn't work.

Expected results:
Brightness should be adjusted accordingly.

Additional info:

According to the[1] it could be a regression introduced in version 3.4-rc1.

I've recompiled the 3.6.3-1.fc17.i686.PAE kernel with the following proof-of-concept patch[1] and it does fix the problem.

[1]. https://bugzilla.kernel.org/show_bug.cgi?id=47861
[2]. https://bugzilla.kernel.org/attachment.cgi?id=80941
Comment 1 Damian Wrobel 2012-10-23 14:20:46 EDT
Created attachment 632275 [details]
dmesg from 3.6.3-1
Comment 2 Damian Wrobel 2012-10-23 14:21:46 EDT
Created attachment 632276 [details]
dmesg from 3.6.3-1.1 (with the patch)
Comment 3 Damian Wrobel 2012-10-23 14:26:51 EDT
Created attachment 632279 [details]
lspci -vvv

smolt-profile: http://www.smolts.org/client/show_all/pub_d40c62fd-442e-40a0-901a-5c412440e1b0
Comment 4 Damian Wrobel 2012-10-23 14:28:48 EDT
The most relevant difference in dmesg log:

without the patch (3.6.3-1):
video: probe of LNXVIDEO:00 failed with error 12299

with the patch (3.6.3-1.1):
input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input5


Please consider to merge this or another improved version of the patch so my son would be able to change the brightness without recompiling the kernel.
Comment 5 Josh Boyer 2012-11-26 14:16:50 EST
That patch wound up going into 3.7 as:

From fba4e087361605d1eed63343bb08811f097c83ee Mon Sep 17 00:00:00 2001
From: Igor Murzov <e-mail@date.by>
Date: Sat, 13 Oct 2012 04:41:25 +0400
Subject: [PATCH] ACPI video: Ignore errors after _DOD evaluation.

There are systems where video module known to work fine regardless
of broken _DOD and ignoring returned value here doesn't cause
any issues later. This should fix brightness controls on some laptops.

Bugzilla: https://bugzilla.kernel.org/show_bug.cgi?id=47861

Signed-off-by: Igor Murzov <e-mail@date.by>
Reviewed-by: Sergey V <sftp.mtuci@gmail.com>
Signed-off-by: Zhang Rui <rui.zhang@intel.com>


I've backported it to the F16-F18 kernels.
Comment 6 Fedora Update System 2012-11-28 07:58:27 EST
kernel-3.6.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.6.8-2.fc16
Comment 7 Fedora Update System 2012-11-28 08:28:37 EST
kernel-3.6.8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.6.8-2.fc17
Comment 8 Fedora Update System 2012-11-28 22:57:11 EST
Package kernel-3.6.8-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.6.8-2.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19337/kernel-3.6.8-2.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-12-01 03:26:26 EST
kernel-3.6.8-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-12-04 16:13:36 EST
kernel-3.6.9-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.6.9-4.fc18
Comment 11 Fedora Update System 2012-12-04 16:18:22 EST
kernel-3.6.9-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.6.9-2.fc16
Comment 12 Fedora Update System 2012-12-06 23:25:37 EST
kernel-3.6.9-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-12-11 15:18:18 EST
kernel-3.6.10-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.6.10-2.fc16
Comment 14 Fedora Update System 2012-12-17 21:34:21 EST
kernel-3.6.10-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.